aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-logilab-common/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2011-07-14 20:48:28 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2011-12-03 14:49:16 -0600
commit56298d54f76bbc8233324edf3bbf7954c70c53a6 (patch)
tree4b7ffedc75772ce9dcefbd615a75a215c381758b /testing/py-logilab-common/APKBUILD
parentc11765fe516b80d1624ad07683df89710562ea56 (diff)
downloadaports-56298d54f76bbc8233324edf3bbf7954c70c53a6.tar.gz
aports-56298d54f76bbc8233324edf3bbf7954c70c53a6.tar.bz2
aports-56298d54f76bbc8233324edf3bbf7954c70c53a6.tar.xz
Initial APKBUILD for py-logilab-common
Package description: This package contains some modules used by differents Logilab's projects.
Diffstat (limited to 'testing/py-logilab-common/APKBUILD')
-rw-r--r--testing/py-logilab-common/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/testing/py-logilab-common/APKBUILD b/testing/py-logilab-common/APKBUILD
new file mode 100644
index 0000000000..b6cd1cee70
--- /dev/null
+++ b/testing/py-logilab-common/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-logilab-common
+_realname=logilab-common
+pkgver=0.56.0
+pkgrel=0
+pkgdesc="A collection of Python packages and modules used by Logilab projects"
+url="http://www.logilab.org/project/logilab-common"
+arch="noarch"
+license="LGPL2+"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://ftp.logilab.org/pub/common/"$_realname"-$pkgver.tar.gz"
+_builddir="$srcdir"/"$_realname"-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+doc() {
+ # The man page is not picked-up automatically
+ mkdir -p "$subpkgdir"/usr/share/man/man1 || return 1
+ mv "$_builddir"/doc/*.1 "$subpkgdir"/usr/share/man/man1/ || return 1
+}
+
+md5sums="9737aa6b05758779df201113a9aa592b logilab-common-0.56.0.tar.gz"